コンテンツにスキップ
Twexapi
日本語
Esc
移動開く⌘Jプレビュー

Get Trending Topics

Get X Explore trending topics for a given country. Use ‘worldwide’ for account-default trends or a country slug such as ‘united-states’.

GET/twitter/{country}/trending
API 認証
AuthorizationBearer token · header必須
TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
パスパラメータ
countrystring必須
Country slug or 'worldwide' for default explore trends
許可値:worldwidealgeriaargentinaaustraliaaustriabahrainbelarusbelgiumbrazilcanadachilecolombiadenmarkdominican-republicecuadoregyptfrancegermanyghanagreeceguatemalaindiaindonesiairelandisraelitalyjapanjordankenyakoreakuwaitlatvialebanonmalaysiamexiconetherlandsnew-zealandnigerianorwayomanpakistanpanamaperuphilippinespolandportugalqatarrussiasaudi-arabiasingaporesouth-africaspainswedenswitzerlandthailandturkeyukraineunited-arab-emiratesunited-kingdomunited-statesvenezuelavietnamzimbabwe
レスポンス
200Standard response with list of trending topics in data field
codeinteger必須
HTTP ステータスコード(200 は成功)
msgstring必須
レスポンスメッセージ(例: 'success')
dataany
返却されるコアデータオブジェクトまたは配列
プロパティを表示
Any of:
any
any
any
any
422パラメータバリデーションエラー
detailValidationError[]
プロパティを表示
Array of ValidationError
locstring | integer[]必須
プロパティを表示
Array of string | integer
Any of:
string
string
integer
integer
msgstring必須
レスポンスメッセージ(例: 'success')
typestring必須
inputany
ctxobject
インタラクティブテストGET
インタラクティブテスト / Try APIGET
Live Console
🌐対象サーバー:https://api.twexapi.io
● 本番環境レディ
🔍
公開データ取得(TwexAPIキーのみ、Twitter Cookie不要)

本エンドポイントは公開Twitterデータの検索・取得用です。TwitterアカウントやCookieは一切不要です!下記の「API認証」に TwexAPIプラットフォームキー (Bearer Token) を入力するだけで即座にテストできます。

🔑API 認証
⚙️リクエストパラメータ (1)
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

リクエスト例
curl -X GET "https://api.twexapi.io/twitter/worldwide/trending" \
  -H "Authorization: Bearer YOUR_TOKEN"
レスポンス例
{
  "code": 200,
  "msg": "success",
  "data": {}
}